Unit tmnk6r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes1_p, FMNK6R_p, MNK6R_p;

function tmnk6r: String;

implementation

function tmnk6r: String;
var
N,I,IERR :Integer;
FE,F :Real;
A :Array [0..1] of Real;
B :Array [0..1] of Real;
XE :Array [0..1] of Real;
RM :Array [0..10] of Real;
I0 :Array [0..1] of Integer;
IRM :Array [0..3] of Integer;
const
XF :Array [0..1] of Real = ( -1.2,1.0 );
UP :Array [0..9] of Real = ( 200.0,-1.0,6.0,1.0,1.0,10.0,5.0,0.0,0.5,0.5 );
label
_1;
begin
UtRes1('mnkp1','',False);  {    mnkp1.res }
N := 2;
for I:=1 to N do
 begin
  A[I-1] := -5.0;
  B[I-1] := 5.0;
  I0[I-1] := 1;
_1:
  XE[I-1] := 1.E-04;
 end;
FE := 1.E-08;
MNK6R(XF,XE,I0,A,B,N,FMNK6R,F,FE,UP,RM,IRM,IERR);
exit;
end;

end.
